[CentOS] PF_RING crashed the CentOS5 - BUG: soft lockup - CPU#7

Ian jonhson jonhson.ian at gmail.com
Mon Jul 28 05:49:54 UTC 2008

> CentOS 5 uses kernel 2.6.18-xx ...      If this PF_RING thing requires a different kernel, I think a more accurate statement would be, .
> PF_RING is not supported on CentOS.

Indeed. I wonder whether there exists some difference between CentOS
kernel and genral kernel from www.kernel.org?
If so, maybe I should download the CentOS kernel source code and patch
it to run PF_RING.

Any help?

> PowerEdge is Dell's brand name for ALL their Server products.   That Ubuntu
> bug was specific to the i450NX chipset, which was new in 1999 and obsoleted
> circa 2001, and supported dual Xeon Pentium II/III processors, around
> 300-800Mhz..   How old is your server??!?

My machine used to be installed PF_RING is exactly DELL PowerEdge 1950,
with 8-core CPUs and 4G RAM, 80G disk.  I don't think it is out of date.

More information about the CentOS mailing list